CHGPASSWD(8)

NAME
chgpasswd - update group passwords in batch mode

SYNOPSIS

chgpasswd [options]

DESCRIPTION

chgpasswd reads a list of group name and password pairs from standard input and uses this information to update a set of existing groups. Each line is of the format:

group_name:password

By default the supplied password must be in clear-text. Default encryption algorithm is DES.

This command is intended to be used in a large system environment where many accounts are created at a single time.

OPTIONS

The options which apply to the chgpasswd command are:

-e, --encrypted
    Supplied passwords are in encrypted form.

-h, --help
    Display help message and exit.

-m, --md5
    Use MD5 encryption instead DES when the supplied passwords are not encrypted.

CAVEATS

Remember to set permissions or umask to prevent readability of unencrypted files by other users.

SEE ALSO

gpasswd(1), groupadd(8).